Events
Equinix provides event data in the Customer Portal and the Equinix API for the following assets:
- Ports - lifecycle events and up/down events.
- Fabric Cloud Routers - lifecycle events, BGP session status, route aggregation state, and route filter state events.
- Precision Time services - lifecycle events
- Virtual Connections - Provisioning/deprovisioning events data is available for connections where a port or cloud router is the a-side. Failure event data is NOT available for Port to ETree connections, cloud router to virtual device connections, or cloud router to IPWAN connections.
- Service Tokens - lifecycle events.
- Company Profiles - profile attribute, tag, and lifecycle events.
Additionally, events are available at the Project and Organization level.
-
Projects - Project event data includes lifecycle state events for all assets in the project. Any status change to your asset, including provisioning, deprovisioning, and failures, results in an event being sent. Lifecycle events are available at the Project-level for all of the above assets as well as:
- Internet Access - lifecycle events, IP Block events, and ASN events.
- Network Edge Virtual Devices - lifecycle events, Access Control List (ACL), device attribute, reboot, and Device Link Group (DLG) events.
- Service Profile - lifecycle events.
-
Organization Events - These events are from access manager and resource manager to inform organization administrators of the change events happening within the organization such as adding or removing roles for users.
You can also stream event data to third-party data collectors which supports a larger range of event types and assets. See the Streaming Event Data section.
Viewing Specific Asset Events
You can view or retrieve event data for specific assets in the Customer Portal or the Equinix API. In order to access event data for an asset, you must have a role that grants read permissions for that asset.
Ports
- Portal
- API
-
Sign in to the Customer Portal and navigate to your Ports Inventory.
-
Select a port from the list.
-
From the port's detail page, click Events.

To view events for a port, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasports. - Specify the
assetIDas the UUID of the port.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/ports/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Cloud Routers
- Portal
- API
-
Sign in to the Customer Portal and navigate to your Cloud Router Inventory.
-
Select a cloud Router from the list.
-
From the cloud router's detail page, click Events.

To view events for a cloud router, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasrouters. - Specify the
assetIDas the UUID of the router.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/routers/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Connections
Event data is available for Virtual Connections where a port or cloud router is the a-side.
- Portal
- API
-
Sign in to the Customer Portal and navigate to your Connections Inventory.
-
Select a connection from the list
-
On the Connection Details page, click Events.

To view events for a connection, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasconnections. - Specify the
assetIDas the UUID of the connection.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/connections/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Precision Time
- Portal
- API
-
Sign in to the Customer Portal and navigate to your Precision Time Inventory.
-
Select a Precision Time service from the list.
-
From the service's details page, click Events.
To view events for a Precision Time service, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetastimeServices. - Specify the
assetIDas the UUID of the Precision Time service.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/timeServices/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Service Tokens
To view events for a service token, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasserviceTokens. - Specify the
assetIDas the UUID of the Service Token.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/serviceTokens/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Company Profiles
To view events for a Company Profile, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetascompanyProfiles. - Specify the
assetIDas the UUID of the Company Profile.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/companyProfiles/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Viewing Project Events
Project event data includes supported events for all assets in the project, including:
- Ports
- Cloud Routers
- Connections
- Precision Time services
- Company Profiles
- Service Tokens
- Virtual Devices
- Internet Access services
- Service Profiles
To view events for a Project, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasprojects. - Specify the
assetIDas the UUID of the project.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/projects/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Viewing Organization Events
To view events for an Organization, send a GET request to the /fabric/v4/{asset}/{assetId}/cloudevents endpoint. In the path:
- Specify the
assetasorganizations. - Specify the
assetIDas the UUID of the Organization.
Use the optional fromDateTime and toDateTime query parameters to narrow your results to a specific time period.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/organizations/<asset_id>/cloudevents?fromDateTime=<date_time>&toDateTime=<date_time>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Search Events
The Equinix API provides the ability to search event data for events matching specified criteria. Currently, the supported asset types for cloud event calls are ports, connections, routers, metros, organizations, projects, virtual devices, and company profiles.
To search the Cloud Events for an asset, send a POST request to the /fabric/v4/cloudevents/search endpoint. Specify your search criteria in the body of the request. Additionally, the POST /fabric/v4/cloudevents/search endpoint requires the subject to have a mandatory first level resource UUID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/cloudevents/search' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer $TOKEN' \
-d '{
"filter": {
"and": [
{
"property": "/type",
"operator": "IN",
"values": [
"equinix.network_edge.device.*"
]
},
{
"property": "/subject",
"operator": "IN",
"values": [
"/ne/v1/devices/903bb0ad-65cd-422c-94d3-a506cce0a36a*"
]
},
{
"property": "/time",
"operator": "BETWEEN",
"values": [
"2025-08-15T17:31:00.000Z",
"2025-08-25T17:31:00.000Z"
]
}
]
},
"pagination": {
"offset": 0,
"limit": 20
}
}'
A complete list of searchable parameters is available in the API Reference.
Get Event Details
To get the details of a specified Cloud Event, send a GET request to the /fabric/v4/cloudevents/<cloudEventId> endpoint.
Sample cURL Request:
curl -X GET 'https://api.equinix.com/fabric/v4/cloudevents/<cloudEventId>' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>'
Streaming Event Data
Equinix supports streaming event data to a data collection platform. To configure data collection:
- Create a stream.
- Add your assets, projects, or organizations to the stream.
- Create a subscription to send the data to a data collector.
For a list of available events, refer to the list of supported events. Each event type has a defined schema and all of our event data schemas and data types are published in the /equinix/equinix-cloudevents GitHub repository.